Subject: Re: putc_unlocked in stdio.h but not in libs (1.3.11-3)
From: Nicholas Wourms <[email-masked]>
To: Charles Wilson <[email-masked]>, Conrad Scott <[email-masked]>
Cc: [email-masked]
Date: Wed, 3 Jul 2002 09:39:18 -0700 (PDT)

--- Charles Wilson <[email-masked]> wrote:
[SNIP]
> However, the correct answer is NOT, IMO, to willy-nilly export 
> everything in libc/libm from cygwin1.dll -- even if dll size were not an
> issue.  

Why?  Can you please explain your reasoning?  Other then the fact that
conflicts might occur, in which case we should cull out conflicting
function symbols.  But as to additional, non-conflicting functionality,
why be so resistant?

>Unfortunately, I don't know what the "correct" answer is, short 
> of a "cleanup squad" that provides the newlib people with the 
> appropriate #ifndef __CYGWIN__ patches -- since the newlib folks are no 
> longer being very careful about that issue on their own.
> 

Or maybe it should be the case that we try to stay more in sync with their
additions, deciding at the time they are added if they should be exported.
 If not, then gaurd against the detection.

> 
> Perhaps in this case.  But in general, adding more and more exports to 
> cygwin.din is not the answer.

Again, other then the potential for conflicts (which can be delt with),
what is your reasoning?  I put forth the stance that we should flesh out
the cygwin dll, let's use the tools that are at our disposal.  Either
that, or make some sort of separate thing which would allow us access to
these functions.
 
> 
> > A more important point I've tripped over is that cygwin doesn't seem
> > to provide implementations of the flockfile etc. functions used by
> > stdio to lock the FILE objects, and so the current version is not
> > thread-safe. Is that true? says I in some pain, having just gone
> > through cygserver replacing all <iostream.h> calls with <stdio.h>
> > calls to avoid a thread-safety problem in the C++ library :-(
> 
> 
> Dunno about this...

I tend to agree with Conrad on this point.  Let's not be blinded by
paranoia...  Change is good!

Cheers,
Nicholas

__________________________________________________
Do You Yahoo!?
Sign up for SBC Yahoo! Dial - First Month Free
http://sbc.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/